# Structural components
# sizes: dict of design variable sizes
# indices: dict of list mapping a value of a DV to its index in NASTRAN/TACS
# values: dict of list of dv values
struct_comps = {'sizes': {'spar': 6,
                          'ribs': 3,
                          'stng': 2,
                          'skin': 6},
                'indices': {'spar': [0, 1, 2, 3, 4, 5],
                            'ribs': [6, 16, 7],
                            'stng': [8, 9],
                            'skin': [10, 11, 12, 13, 14, 15]},
                'values': {'spar': [19.05e-3, 15.24e-3, 12.7e-3, 9.525e-3, 7.112e-3, 2.54e-3],
                           'ribs': [3.048e-3, 2.159e-3, 1.588e-3],
                           'stng': [4.445e-3, 2.54e-3],
                           'skin': [6.35e-3, 5.334e-3, 4.572e-3, 3.302e-3, 2.286e-3, 1.27e-3]}
               }
