def get():
    return {
        'fixed_weight': 34000, # fixed mass, kg
        'dynamic_pressure': [11250, 19850], # dynamic pressure (FL350/M0.82, FL200/M0.78), Pa
        'ref_area': 91, # reference area, m^2
        'gravity': 9.81, # gravity, m/s^2
        'res_fuel': 1000, # reserve fuel, kg
        'init_fuel': 13000, # baseline fuel weight capacity, kg
        'range': 2500, # range, nm
        'v_inf': 473, # KTAS @ FL350, M0.82
        'sfc': 0.65, # SFC, 1/h
        'cd_0': 0.022 # CD0 for full aircraft
    }
